#!/bin/sh

set -e
version=3.3.3
prefix=/opt/divine


apt-get install -y libc++-dev libc++abi-dev clang

wget https://divine.fi.muni.cz/download/divine-$version.tar.gz
tar xzf divine-$version.tar.gz
cd divine-$version

./configure
make
make install

echo "DIVINE's binaries are installed in $prefix/bin"

if test -d /etc/profile.d; then
    echo "PATH=$prefix/bin:"'$PATH' > /etc/profile.d/divine-path.sh
    echo "I have created /etc/profile.d/divine-path.sh to update system PATH"
    echo "After you log out and back in, it should be available as 'divine'"
fi

cat <<EOF >> /etc/issue
DIVINE $version VM

login: divine
password: llvm

EOF
